View Issue Details

IDProjectCategoryView StatusLast Update
0037446LazarusLCLpublic2020-08-06 15:10
ReporterDan Star Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLazarus for MacOSOSMacOS Catalina 
Product Version2.0.10 
Summary0037446: PopUpMenu Overrides TEdit's No PopupMenu Setting
DescriptionSet Form1's PopUpMenu to a Custom PopupMenu. Set Edit1's PopupMenu to none. Right-click in Edit1 expecting to get OS' default popup to manipulate text but Form1's PopupMenu displays. This is a problem in 2.1.0 Trunk too.
TagsNo tags attached.
Fixed in Revision63685
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2020-08-04 01:41

developer   ~0124533

please test and close if ok

Dan Star

2020-08-06 15:10

reporter   ~0124619

Tested in Trunk. Fixed. Thank you!

Issue History

Date Modified Username Field Change
2020-07-30 01:06 Dan Star New Issue
2020-08-04 01:41 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-08-04 01:41 Dmitry Boyarintsev Status new => resolved
2020-08-04 01:41 Dmitry Boyarintsev Resolution open => fixed
2020-08-04 01:41 Dmitry Boyarintsev Fixed in Revision => 63685
2020-08-04 01:41 Dmitry Boyarintsev LazTarget => -
2020-08-04 01:41 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-08-04 01:41 Dmitry Boyarintsev Note Added: 0124533
2020-08-06 15:10 Dan Star Note Added: 0124619